Bug 537963 - SELinux is preventing /usr/bin/mod_install from loading /usr/lib/libtfmessbsp.so which requires text relocation.
Summary: SELinux is preventing /usr/bin/mod_install from loading /usr/lib/libtfmessbsp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1e69dc2a104...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-17 00:00 UTC by chrys87
Modified: 2009-12-02 04:42 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:09 UTC


Attachments (Terms of Use)

Description chrys87 2009-11-17 00:00:53 UTC
Zusammenfassung:

SELinux is preventing /usr/bin/mod_install from loading /usr/lib/libtfmessbsp.so
which requires text relocation.

Detaillierte Beschreibung:

The mod_install application attempted to load /usr/lib/libtfmessbsp.so which
requires text relocation. This is a potential security problem. Most libraries
do not need this permission. Libraries are sometimes coded incorrectly and
request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libtfmessbsp.so to use relocation as a workaround, until the library is
fixed. Please file a bug report.

Zugriff erlauben:

If you trust /usr/lib/libtfmessbsp.so to run correctly, you can change the file
context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/libtfmessbsp.so'" You must also change the default file context files
on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t '/usr/lib/libtfmessbsp.so'"

Fixer Befehl:

chcon -t textrel_shlib_t '/usr/lib/libtfmessbsp.so'

Zusätzliche Informationen:

Quellkontext                  unconfined_u:system_r:rpm_script_t:s0-s0:c0.c1023
Zielkontext                   system_u:object_r:lib_t:s0
Zielobjekte                   /usr/lib/libtfmessbsp.so [ file ]
Quelle                        mod_install
Quellen-Pfad                  /usr/bin/mod_install
Port                          <Unbekannt>
Host                          (removed)
Quellen-RPM-Pakete            libbiometrics-1.2.2-1.sg
Ziel-RPM-Pakete               libbiometrics-tfmess-1.0-1.sg
RPM-Richtlinie                selinux-policy-3.6.32-41.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   allow_execmod
Hostname                      (removed)
Plattform                     Linux (removed) 2.6.31.5-127.fc12.x86_64
                              #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Anzahl der Alarme             1
Zuerst gesehen                Di 17 Nov 2009 00:54:08 CET
Zuletzt gesehen               Di 17 Nov 2009 00:54:08 CET
Lokale ID                     94cb5d90-cbf0-427d-8e55-bc0c3f762412
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1258415648.500:32): avc:  denied  { execmod } for  pid=2234 comm="mod_install" path="/usr/lib/libtfmessbsp.so" dev=sda3 ino=96584 scontext=unconfined_u:system_r:rpm_script_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258415648.500:32): arch=40000003 syscall=125 success=no exit=-13 a0=24f000 a1=e4000 a2=5 a3=ff8001b0 items=0 ppid=2233 pid=2234 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="mod_install" exe="/usr/bin/mod_install" subj=unconfined_u:system_r:rpm_script_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,mod_install,rpm_script_t,lib_t,file,execmod
audit2allow suggests:

#============= rpm_script_t ==============
allow rpm_script_t lib_t:file execmod;

Comment 1 Daniel Walsh 2009-11-17 13:10:54 UTC
You should report this as a bug to libbiometrics that they are building their libraries incorrectly.

http://people.redhat.com/~drepper/selinux-mem.html

explains the problem.

If you execute the command explained in the alert it should fix the problem.

I will make this the default label in the next release.

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:41:36 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:24:57 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:35:57 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.